Bug 820018 - Forum posts don't allow markdown formatting
Forum posts don't allow markdown formatting
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 18:04 EDT by Emily Dirsh
Modified: 2015-11-01 19:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:26:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of unconverted markdown in forum post (131.43 KB, image/png)
2012-05-08 18:04 EDT, Emily Dirsh
no flags Details

  None (edit)
Description Emily Dirsh 2012-05-08 18:04:44 EDT
Created attachment 583076 [details]
Screenshot of unconverted markdown in forum post

Description of problem:
Forum comments use markdown for formatting, allowing things like nicely formatted code snippets and links, but forum posts do not. It would be nice to have in forum posts so that code snippets, logs, and error messages can be nicely formatted and readable.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a new forum thread
2. Enter some markdown formatted text in body
3. Preview
  
Actual results:
Markdown formatting is shown as entered

Expected results:
Markdown formatting should be converted into the correct html

Additional info:
Comment 1 Clayton Coleman 2012-05-09 01:05:23 EDT
This was working previously.
Comment 2 Clayton Coleman 2012-06-18 15:36:20 EDT
This has been fixed by correcting permissions on the formats role.  Users should now be able to change their comment formats.  Will be on stage after the first push, should work in devenv after running /etc/drupal6/revert-features.sh.
Comment 3 mcao 2012-06-18 23:20:14 EDT
Markdown formatted text can be shown correctly on devenv_1855, so I change this status as verified.

(In reply to comment #2)
> This has been fixed by correcting permissions on the formats role.  Users
> should now be able to change their comment formats.  Will be on stage after
> the first push, should work in devenv after running
> /etc/drupal6/revert-features.sh.

Note You need to log in before you can comment on or make changes to this bug.